﻿using System.Windows.Controls;
using estoque.ViewModel;

namespace estoque
{
    /// <summary>
    /// Interaction logic for TracerUc.xaml
    /// </summary>
    public partial class TracerUC : UserControl
    {
        public TracerUC()
        {
            InitializeComponent();
            this.DataContext = Tracer.Trace;
            RepositoryVM.Center.UIStuff.PropertyChanged += this.UIStuff_PropertyChanged;
        }

        void UIStuff_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            this.expander.IsExpanded = RepositoryVM.Center.UIStuff.IsTracerExpanded;
        }
    }
}