﻿using System.ComponentModel;

namespace estoque.ViewModel
{
    public class UserInterfaceStuff : INotifyPropertyChanged
    {
        private bool isTracerExpanded;

        public bool IsTracerExpanded
        {
            get { return this.isTracerExpanded; }
            set
            {
                this.isTracerExpanded = value;
                this.InvokePropertyChanged("IsTracerExpanded");
            }
        }

        private bool isTimeAccountExpanded;

        public bool IsTimeAccountExpanded
        {
            get { return this.isTimeAccountExpanded; }
            set
            {
                this.isTimeAccountExpanded = value;
                this.InvokePropertyChanged("IsTimeAccountExpanded");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void InvokePropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler temp = this.PropertyChanged;
            if (temp != null)
            {
                temp(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}